[B2G][Settings][SIM Security] On Change PIN screen entering 4 digits in any field highlights the "Done" button

RESOLVED FIXED in Firefox OS v2.2

Status

Firefox OS
Gaia::Settings
RESOLVED FIXED
4 years ago
2 years ago

People

(Reporter: Brogan Zumwalt [Inactive], Assigned: eragonj)

Tracking

unspecified
2.2 S12 (15may)
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(blocking-b2g:2.2+, b2g18 affected, b2g-v1.2 affected, b2g-v2.0 affected, b2g-v2.1 affected, b2g-v2.2 verified, b2g-master verified)

Details

(Whiteboard: burirun4, [3.0-Daily-Testing])

Attachments

(5 attachments)

(Reporter)

Description

4 years ago
Created attachment 8337138 [details]
Screenshot

Description:
When the user changes their SIM PIN the "New PIN" screen has an issue that highlights and makes selectable the "Done" button once the user enters 4 or more digits in in any field. This issue occurs regardless of whether any characters are present in other fields.

Repro Steps:
1) Updated Buri to Build ID: 20131121004002
2) With a SIM PIN enabled open the Settings app
3) Enter SIM Security and select Change PIN
4) Type four digits in any text field

Actual:
Putting four digits in any text field on the Change PIN screen highlights the "Done" button.

Expected:
At least four digits are present in every text field on the Change PIN screen before the "Done" button is highlighted.

Environmental Variables
Device: Buri v 1.2 COM RIL
Build ID: 20131121004002
Gecko: http://hg.mozilla.org/releases/mozilla-b2g26_v1_2/rev/36c4c667b9f2
Gaia: ce276842c9ac1746073271fb736dfdb626a89240
Platform Version: 26.0
RIL Version: 01.02.00.019.102 
Firmware Version: V1.2_US_20131115

Notes:
Repro frequency: 3/3, 100%
Link to failed test case: https://moztrap.mozilla.org/manage/case/2572/
See attached: screenshot
(Reporter)

Comment 1

4 years ago
Able to reproduce in 1.1

Result: Putting four digits in any text field on the Change PIN screen highlights the "Done" button.

Environmental Variables
Device: Leo v 1.1 COM RIL
Build ID: 20131119041201
Gecko: http://hg.mozilla.org/releases/mozilla-b2g18/rev/7c3cfc0936ca
Gaia: b585b32441fafa67f2b4582db23be5f3a2afab21
Platform Version: 18.1
RIL Version: 01.01.00.019.281 
Firmware Version: D300f10a
This issue also occurs in Flame 2.0, 2.1, 2.2 and 3.0

Device: Flame 3.0 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150427010202
Gaia: b4c949cdc780893897c9b45c1adea46e2eb694ff
Gecko: 37d60e3b8be6
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 40.0a1 (3.0)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:40.0) Gecko/40.0 Firefox/40.0

Device: Flame 2.2 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150427002504
Gaia: 265ca0bc9408c21fc4b25a259fcee7fb642cd06b
Gecko: 1908685d798d
Gonk: ebad7da532429a6f5efadc00bf6ad8a41288a429
Version: 37.0 (2.2)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0


Device: Flame 2.1 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150427001201
Gaia: bbe983b4e8bebfec26b3726b79568a22d667223c
Gecko: 82a14be0462c
Gonk: ebad7da532429a6f5efadc00bf6ad8a41288a429
Version: 34.0 (2.1)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:34.0) Gecko/34.0 Firefox/34.0

Device: Flame 2.0 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150427000202
Gaia: 84898cadf28b1a1fcd03b726cff658de470282f0
Gecko: f700ee0a507d
Gonk: ebad7da532429a6f5efadc00bf6ad8a41288a429
Version: 32.0 (2.0)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:32.0) Gecko/32.0 Firefox/32.0
QA Whiteboard: [QAnalyst-Triage?]
status-b2g-v2.0: --- → affected
status-b2g-v2.1: --- → affected
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Flags: needinfo?(pbylenga)
Whiteboard: burirun4 → burirun4, [3.0-Daily-Testing]
NI on component owner for tracking purposes, this is a long standing issue.
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(pbylenga) → needinfo?(hcheng)
EJ, could you take a look?
Flags: needinfo?(hcheng) → needinfo?(ejchen)
This looks like a long standing issue and not sure whether this is a feature or not, so I think it would be nice if we can get more information from UX first.

Jenny, any idea for this ? :)
Assignee: nobody → ejchen
Flags: needinfo?(ejchen) → needinfo?(jelee)

Comment 6

3 years ago
Hi Ej,

I think the request makes sense, let's disable "Done" when input is obviously invalid. In this case, if any of the following is NOT true, disable "Done":  
1. At least four digits are present in every text field
2. New PIN matches (2nd and 3rd field)

Thanks! (UX will evaluate all similar cases and create a generic rule =)
Flags: needinfo?(jelee)
Created attachment 8604486 [details] [review]
[gaia] EragonJ:bug-942365 > mozilla-b2g:master
Comment on attachment 8604486 [details] [review]
[gaia] EragonJ:bug-942365 > mozilla-b2g:master

Arthur, can you help me review this simple patch ? Thanks !!
Attachment #8604486 - Flags: review?(arthur.chen)
Comment on attachment 8604486 [details] [review]
[gaia] EragonJ:bug-942365 > mozilla-b2g:master

r=me with the only comment addressed, thanks!
Attachment #8604486 - Flags: review?(arthur.chen) → review+
Keywords: checkin-needed

Updated

3 years ago
Keywords: checkin-needed

Updated

3 years ago
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
status-b2g-master: affected → fixed
Comment on attachment 8604486 [details] [review]
[gaia] EragonJ:bug-942365 > mozilla-b2g:master

[Approval Request Comment]
[Bug caused by] (feature/regressing bug #): no
[User impact] if declined: users will be able to click on Done button even they haven't typed the whole input boxes.
[Testing completed]: yes
[Risk to taking this patch] (and alternatives if risky): low
[String changes made]: no
Attachment #8604486 - Flags: approval-gaia-v2.2?

Updated

3 years ago
Keywords: verifyme

Comment 12

3 years ago
Hi Norry,
Please verify on master before approving 2.2. Thanks!
Flags: needinfo?(fan.luo)
Created attachment 8606133 [details]
v3.0.mp4

This bug has been verified as pass on latest build of Flame v3.0 and Nexus 5 v3.0 by the STR in Comment 0.

Results:
Only if when very text field on the Change PIN screen has been filled with four digits, the "Done" button is highlighted.

See attachment: v3.0.mp4
Reproduce rate: 0/10

Device: Flame v3.0(Pass)
Build ID               20150514160201
Gaia Revision          8897e1810aa6426ca483269af76ce2bfd2029d25
Gaia Date              2015-05-14 18:49:06
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/59b6d856160c
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150514.192647
Firmware Date          Thu May 14 19:26:58 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus5 3.0 (Pass)
Build ID               20150514010203
Gaia Revision          338f66e6a96491d2f5854b188c6b141ceb690d97
Gaia Date              2015-05-13 14:08:45
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1fab94ad196c
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150514.044222
Firmware Date          Thu May 14 04:42:38 EDT 2015
Bootloader             HHZ12f

---------------------------------------------
Leaving "verifyme" for v2.2 uplift & verification.
QA Whiteboard: [QAnalyst-Triage+] → [QAnalyst-Triage+] [MGSEI-Triage+]
status-b2g-master: fixed → verified
Flags: needinfo?(fan.luo)

Comment 14

3 years ago
Comment on attachment 8604486 [details] [review]
[gaia] EragonJ:bug-942365 > mozilla-b2g:master

Approving and keeping Verifyme after patch land there
Attachment #8604486 - Flags: approval-gaia-v2.2? → approval-gaia-v2.2+
Needs rebasing for v2.2 uplift.
Flags: needinfo?(ejchen)
Target Milestone: --- → 2.2 S12 (15may)
Thanks @Ryan, I'll work on that. 

@Josh, I just noticed that there is no blocking-b2g flag for this bug, can you help to flag it ? Thanks
Flags: needinfo?(ejchen) → needinfo?(jocheng)
Created attachment 8607301 [details] [review]
[gaia] EragonJ:v2.2-bug-942365 > mozilla-b2g:v2.2
Comment on attachment 8607301 [details] [review]
[gaia] EragonJ:v2.2-bug-942365 > mozilla-b2g:v2.2

Arthur, I got another v2.2 specific patch for you and please help me review it !

Thanks !
Attachment #8607301 - Flags: review?(arthur.chen)
blocking-b2g: --- → 2.2?
Comment on attachment 8607301 [details] [review]
[gaia] EragonJ:v2.2-bug-942365 > mozilla-b2g:v2.2

The patch looks good, r=me with the unit tests added, thanks!
Attachment #8607301 - Flags: review?(arthur.chen) → review+
Thanks Arthur, I just updated the patch and will merge when CI passed.
Just merged this patch on V2.2 https://github.com/mozilla-b2g/gaia/commit/732acec6f37d13ccea6b0ddc48904a53a2970894

Thanks all.
status-b2g-v2.2: affected → fixed

Updated

3 years ago
blocking-b2g: 2.2? → 2.2+

Comment 22

3 years ago
Howie already help on it.
Thanks
Flags: needinfo?(jocheng)
helen, could you help verify 2.2?
Flags: needinfo?(hedan)
Created attachment 8607955 [details]
v2.2.mp4

This bug has been verified as pass on latest build of Flamev 2.2 & Nexus 5 v2.2 by the STR in Comment0.
Results:
Only if when every text field on the Change PIN screen has been filled with four digits, the "Done" button is highlighted.

See attachment: v2.2.mp4
Reproduce rate: 0/10

Device: Flame v2.2(Pass)
Build ID               20150519162501
Gaia Revision          63e9eeec3032318f8a240f80b6a184fa4b50b6e1
Gaia Date              2015-05-19 17:52:15
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/4e078e1364d3
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150519.200807
Firmware Date          Tue May 19 20:08:18 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus5 2.2 (Pass)
Build ID               20150519162501
Gaia Revision          63e9eeec3032318f8a240f80b6a184fa4b50b6e1
Gaia Date              2015-05-19 17:52:15
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/4e078e1364d3
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150519.195445
Firmware Date          Tue May 19 19:55:01 EDT 2015
Bootloader             HHZ12f
Flags: needinfo?(hedan)
status-b2g-v2.2: fixed → verified
Leaving "verifyme" for v2.0 &v2.1 uplift & verification.
The v2.2&master has verified, clear verifyme keywords.
Keywords: verifyme
You need to log in before you can comment on or make changes to this bug.